---
title: inputPeerForeign
description: inputPeerForeign attributes, type and example
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: inputPeerForeign  
[Back to constructors index](index.md)



### Attributes:

| Name     |    Type       | Required |
|----------|---------------|----------|
|user\_id|[int](../types/int.md) | Yes|
|access\_hash|[long](../types/long.md) | Yes|



### Type: [InputPeer](../types/InputPeer.md)


### Example:

```php
$inputPeerForeign = ['_' => 'inputPeerForeign', 'user_id' => int, 'access_hash' => long];
```  


Or, if you're into Lua:

```lua
inputPeerForeign={_='inputPeerForeign', user_id=int, access_hash=long}

```


